Subject: Re: bug#58199: 29.0.50; Odd "git pull" output

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Oct 2022 16:52:34 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 01 Oct 2022 15:41:48 +0200
> 
> Alternatively, if there was some way to make "git pull" not do stuff
> like that in the output, that would be even simpler.  But the only thing
> I find is:
> 
>        --progress
>            Progress status is reported on the standard error stream by default
>            when it is attached to a terminal, unless -q is specified. This
>            flag forces progress status even if the standard error stream is
>            not directed to a terminal.
> 
> And we don't want "-q" -- we just don't want the progress output, I
> guess, and that can't be disabled separately.
> 
> But I may be missing something -- anybody know?

Would it work if we force the process connection to use pipes?